KABC::GuiErrorHandler Class Reference

`#include <errorhandler.h>`

Inheritance diagram for KABC::GuiErrorHandler:

## Public Member Functions

| GuiErrorHandler (QWidget *parent)
virtual void | error (const QString &msg)

## Detailed Description

This class shows messages boxes for every error message.

Definition at line 74 of file errorhandler.h.

## Constructor & Destructor Documentation

GuiErrorHandler::GuiErrorHandler | ( | QWidget * | parent | ) |

Create error handler.

Parameters

  parent | Widget which is used as parent for the error dialogs.

Definition at line 46 of file errorhandler.cpp.

## Member Function Documentation

void GuiErrorHandler::error | ( | const QString & | msg | ) |

virtual

Show error message.

Implements KABC::ErrorHandler.

Definition at line 51 of file errorhandler.cpp.

The documentation for this class was generated from the following files:

- errorhandler.h
- errorhandler.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys